Subject: [BEHAVE] Comments on draft-ietf-behave-nat-behavior-discovery-01

From: "Alfred E. Heggestad" <[email-masked]>
Date: Sun, 15 Jul 2007 16:51:24 +0200

Comments on draft-ietf-behave-nat-behavior-discovery-01

by Alfred E. Heggestad <[email-masked]>
15. July 2007

 > Section 2
 >
 >   reasonable supernode candidate, meaning that its NAT(s) offer(s)
 >   Address Independent Filtering.  It might periodically re-run tests
 >   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

There is no such things as "Address Independent Filtering". See RFC 4787
for the definitions. What you probably mean here is "Endpoint Independent"
filtering

 > Section 3.6.  Detecting Generic ALGs
 >

I am glad to see this test added.
It should be noted wether this test is applicable to UDP, TCP, TLS over TCP.

 > Section 4.3.  Determining NAT Filtering Behavior
 >
 >   a response the current behaviour of the NAT is Address Independent
 >   Filtering.                                     ^^^^^^^^^^^^^^^^^^^
 >

same as above

 > Section 5.  Client Behavior
 >
 >   OPEN ISSUE: is 430 the best approach to this (which should force the
 >   client to get a new shared secret and retry the transaction) or
 >   should a new return-type be used.  Also, if shared secret is not
 >   required, it's not at all appropriate.

FYI, error code 430 is removed from rfc3489bis-07

 > Section 7
 >
 >   0x0003: CHANGE-REQUEST
 >   0x0004: SOURCE-ADDRESS
 >   0x0005: OTHER-ADDRESS
 >   0x0023: XOR-REFLECTED-FROM
 >   0x0027: XOR-RESPONSE-ADDRESS
 >   0x8026: PADDING
 >   0x8027: CACHE-TIMEOUT
 >
 > Section 9
 >
 >   0x0003: CHANGE-REQUEST
 >   0x0004: SOURCE-ADDRESS
 >   0x0005: OTHER-ADDRESS
 >   0x0023: XOR-REFLECTED-FROM
 >   0x0027: XOR-RESPONSE-ADDRESS
 >   0x0026: PADDING
 >   0x8026: CACHE-TIMEOUT

The values of PADDING and CACHE-TIMEOUT does not match

_______________________________________________
Behave mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/behave